Skip to main content
POST
/
browsers
/
{id}
/
computer
/
click_mouse
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

await client.browsers.computer.clickMouse('id', { x: 0, y: 0 });
import os
from kernel import Kernel

client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
client.browsers.computer.click_mouse(
id="id",
x=0,
y=0,
)
package main

import (
"context"

"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)

func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Browsers.Computer.ClickMouse(
context.TODO(),
"id",
kernel.BrowserComputerClickMouseParams{
X: 0,
Y: 0,
},
)
if err != nil {
panic(err.Error())
}
}
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/click_mouse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"x": 123,
"y": 123,
"hold_keys": [
"<string>"
],
"num_clicks": 1
}
'


{
  "code": "bad_request",
  "message": "Missing required field: app_name",
  "details": [
    {
      "code": "invalid_input",
      "message": "Provided version string is not semver compliant"
    }
  ],
  "inner_error": {
    "code": "invalid_input",
    "message": "Provided version string is not semver compliant"
  }
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Browser session ID

Body

application/json
x
integer
required

X coordinate of the click position

y
integer
required

Y coordinate of the click position

button
enum<string>

Mouse button to interact with

Available options:
left,
right,
middle,
back,
forward
click_type
enum<string>

Type of click action

Available options:
down,
up,
click
hold_keys
string[]

Modifier keys to hold during the click

num_clicks
integer
default:1

Number of times to repeat the click

Response

Mouse action performed